% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/normalization.R
\name{normalization}
\alias{normalization}
\title{Normalize expression data}
\usage{
normalization(data, method = c("quantile", "normal", "rank.invariant"))
}
\arguments{
\item{data}{expression data in matrix format, with sample name in columns
and gene symbol or miRNA name in rows.}

\item{method}{normalization methods, including "quantile", "normal",
"rank.invariant". Default is "quantile". As for method "normal",
we trim the extreme value and calculate the mean in the data.}
}
\value{
SummarizedExperiment for return object.
}
\description{
This function will normalize the given expression data and return
it in the same data format.
}
\examples{
## Use the internal dataset
data("mirna", package = "anamiR", envir = environment())

## Normalize miRNA expression data
normalization(data = mirna, method = "quantile")

}
\seealso{
\code{\link[limma]{normalizeQuantiles}} for quantile normalization;
   \code{\link[lumi]{rankinvariant}} for rank invariant normalization.
}
